- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# lncInfo Struct Reference

`#include <lnc.h>`

Collaboration diagram for lncInfo:

[legend]

## Data Fields
arpcom | arpcom
int | bdp
initBlock * | initBloack
nicInfo | nic
int | nrdre
int | ntdre
int | rap
int | rdp
hostRingEntry * | recvRing
hostRingEntry * | transRings

## Detailed Description

Definition at line 156 of file lnc.h.

## Field Documentation

struct arpcom lncInfo::arpcom

Definition at line 157 of file lnc.h.

Referenced by initLNC(), and lncAttach().

int lncInfo::bdp

Definition at line 164 of file lnc.h.

Referenced by initLNC(), readBcr(), and writeBcr().

struct initBlock* lncInfo::initBloack

Definition at line 161 of file lnc.h.

struct nicInfo lncInfo::nic

Definition at line 158 of file lnc.h.

Referenced by initLNC(), and lncAttach().

int lncInfo::nrdre

Definition at line 165 of file lnc.h.

Referenced by initLNC(), and lncAttach().

int lncInfo::ntdre

Definition at line 166 of file lnc.h.

Referenced by initLNC(), and lncAttach().

int lncInfo::rap

Definition at line 162 of file lnc.h.

Referenced by initLNC(), readBcr(), readCsr(), writeBcr(), and writeCsr().

int lncInfo::rdp

Definition at line 163 of file lnc.h.

Referenced by initLNC(), lanceProbe(), lncInt(), readCsr(), and writeCsr().

struct hostRingEntry* lncInfo::recvRing

Definition at line 159 of file lnc.h.

Referenced by lncAttach().

struct hostRingEntry* lncInfo::transRings

Definition at line 160 of file lnc.h.

The documentation for this struct was generated from the following file:

- src/sys/include/pci/lnc.h